/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.EmpresaEquivalencia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Administrador
 */
public class RenderEmpresaEquivalencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EmpresaEquivalencia empresaEquivalencia = (EmpresaEquivalencia) o;

		Listcell lc = new Listcell(empresaEquivalencia.getEmpresaequivalenciaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(empresaEquivalencia.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(empresaEquivalencia.getComisionistaExterno().getDesccomisionista());
		lc.setParent(lstm);

		lc = new Listcell(empresaEquivalencia.getEquivalenciaId());
		lc.setParent(lstm);

		lstm.setAttribute("data", empresaEquivalencia);
	}
}
